> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didx.co.za/llms.txt
> Use this file to discover all available pages before exploring further.

# Secure Citizen Drivers License Verification

> This is a service that verifies drivers licenses



## OpenAPI

````yaml products/didx-verify/api-reference/v1/openapi.json post /Citizen/DriversLicenseVerificationService
openapi: 3.0.1
info:
  title: SecureCitizen.Citizen.Api
  description: >-
    This is the API documentation for Secure Citizen products. Should you
    require further information please contact us on the email provided.
  contact:
    name: Api Contant Name
    email: support@securecitizen.co.za
  license:
    name: Proprietary
    url: https://www.securecitizen.co.za
  version: v1
  x-logo:
    url: >-
      https://securecitizen.co.za/wp-content/uploads/2022/11/Untitled-design-14.svg
    altText: Secure Citizen
servers:
  - url: https://citizen.uat.securecitizen.cloud
security: []
tags:
  - name: Citizen
    description: This details information we can replace to describe this endpoint
  - name: CitizenV
    description: This details information we can replace to describe this endpoint
  - name: CustomClient
    description: This details information we can replace to describe this endpoint
  - name: Partner
    description: This details information we can replace to describe this endpoint
paths:
  /Citizen/DriversLicenseVerificationService:
    post:
      tags:
        - Citizen
      summary: Secure Citizen Drivers License Verification
      description: This is a service that verifies drivers licenses
      operationId: DriversLicenseVerificationService
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SCDriversLicenseVerificationRequest'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TGPDCDriversLicenseVerificationResponse'
        '401':
          description: Unauthenticated
        '403':
          description: Unauthorized access to this resource
        '500':
          description: Cat-as-trophy
      security:
        - oauth2:
            - sc-citizen
components:
  schemas:
    SCDriversLicenseVerificationRequest:
      required:
        - FirstNames
        - IdNumber
        - LastName
      type: object
      properties:
        CRef:
          type: string
          nullable: true
        ConsentReceived:
          type: boolean
        FirstNames:
          minLength: 1
          type: string
        LastName:
          minLength: 1
          type: string
        IdNumber:
          minLength: 1
          type: string
        callback_url:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
    TGPDCDriversLicenseVerificationResponse:
      type: object
      properties:
        CRef:
          title: Client Reference
          type: string
          description: >-
            This field will return the reference provided by the client to track
            the transaction.
          format: string
          nullable: true
        Status:
          $ref: '#/components/schemas/ExternalStatusEnums'
        Message:
          title: Message
          type: string
          description: >-
            This will return a status of the transaction s well as external
            tracking information.
          format: string
          nullable: true
        RequestedBy:
          title: Requested By
          type: string
          description: This will indicate who requested the data that is being provided.
          nullable: true
        AuthorizedBy:
          title: Authorized By
          type: string
          description: >-
            This will indicate who authorized the provision of the requested
            data
          nullable: true
        result:
          type: boolean
        response_object:
          $ref: '#/components/schemas/DriversLicenseResultObject'
        result_code:
          $ref: '#/components/schemas/TGPDCResultObject'
      additionalProperties: false
    ExternalStatusEnums:
      title: Status
      enum:
        - Success
        - Failure
        - Unknown
        - AuthFailure
        - DataDeserializationError
        - EmptyResults
        - ErrorContactSupport
        - FaceDetectionFailure
        - FaceComparisonFailure
        - NoStatusDefined
        - FaceDetectionQualityTooLow
        - FaceDetectionTooManyFaces
        - FaceDetectionNoFacesFound
        - FaceComparisonError
        - FaceComparisonNotSame
        - GoldenSourceImageNull
        - ProvidedImageNull
        - GoldenSourceNoFacesFound
        - ProvidedImageNoFacesFound
        - GoldenSourceHasTooManyFaces
        - ProvidedImageHasTooManyFaces
        - GoldenSourceQualityTooLow
        - ProvidedImageQualityTooLow
        - GoldenSourceGUIDIncorrect
        - ProvidedImageGUIDIncorrect
        - FaceAPIGeneralError
        - FaceAPIPublicUrlInputError
        - FaceBadInput
        - GoldenSourceIncorrectStringFormat
        - ProvidedImageIncorrectStringFormat
        - SAFPSNPROk
        - SAFPSHANISOk
        - SAFPSNIISOk
        - SAFPSNPRSlow
        - SAFPSHANISSlow
        - SAFPSNIISSlow
        - SAFPSFailure
        - SAFPSPossibleFailure
        - SAFPSNPRFailure
        - SAFPSHANISFailure
        - SAFPSNIISFailure
        - FaceTooClose
        - EyesClosed
        - FaceCloseToBorder
        - FaceCropped
        - FaceIsOccluded
        - FaceNotFound
        - TooManyFaces
        - FaceTooSmall
        - AbsoluteFaceTooSmall
        - RelativeFaceTooSmall
        - FaceAngleTooLarge
        - FailedToPredictLandmarks
        - Active
        - CSuccess
        - AsyncCSuccess
        - IdentificationNumberInvalid
        - IdentificationNumberAgeBelow18
        - UnableToVerifyIdentificationNumberOnDocument
        - UnableToVerifyIdentificationNumberAtGoldenSource
        - GoldenSourceUnavailable
        - MandatoryInformationMissing
        - NPRSuccess
        - HANISNotAvailable
        - InvalidIDNCheckDigitTestNotPassed
        - NPRNotAvailableOnlyPhotoIsReturned
        - IDNRIsNotCurrentlyAValidNPRIDNR
        - IDNRIsMarkedForDeletion
      type: string
      description: >-
        Status values (static strings) to be used for external connection
        management
      format: string
    DriversLicenseResultObject:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/Status'
        request:
          $ref: '#/components/schemas/Request'
      additionalProperties: false
    TGPDCResultObject:
      type: object
      properties:
        name:
          type: string
          nullable: true
        id:
          type: integer
          format: int32
      additionalProperties: false
    Status:
      type: object
      properties:
        result_status:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
      additionalProperties: false
    Request:
      type: object
      properties:
        request_key:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://sts.uat.securecitizen.cloud/connect/authorize
          tokenUrl: https://sts.uat.securecitizen.cloud/connect/token
          scopes:
            sc-citizen: SecureCitizen.Citizen.Api

````